## geant321 3.21.14.dfsg

=== debian/changelog ===
geant321 (1:3.21.14.dfsg-11build4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:41:41 +0100

geant321 (1:3.21.14.dfsg-11build3) disco; urgency=medium

  * No-change rebuild against fixed cernlib, see #922453

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 11 Mar 2019 06:23:08 +0000

geant321 (1:3.21.14.dfsg-11build2) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:30:34 +0000

geant321 (1:3.21.14.dfsg-11build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 19:47:56 +0000

geant321 (1:3.21.14.dfsg-11) unstable; urgency=low

  * debian/control:
    - remove obsolete dpatch package from build-dep.
    - remove obsolete DM-Upload-Allowed field.
    - canonical VCS-* fields.
    - bump Standards-Version to 3.9.4.
  * Set source format to 3.0 (quilt).
  * Support multiarch.
  * Temporarily disable test-suite. (Closes: #701285, #713363)
  * Rebuild packages for lesstif2 to motif transition. (Closes: #717643)

 -- Lifeng Sun <lifongsun@gmail.com>  Sat, 24 Aug 2013 01:09:37 +0800

geant321 (1:3.21.14.dfsg-10) unstable; urgency=low

  * Team upload.
  * [ff4aa0d] Build the package in non-parallel mode to escape FTBFS 
              due to race conditions.
  * [aad8032] Rename debian/debhelper to debian/dh to prevent empty packages. 
              Thanks to Jason Conti <jason.conti@gmail.com>. (Closes: #695066)
  * [2c3ddc4] Override lintian-error, dpatch is needed for building.

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 09 Dec 2012 00:21:56 +0100

geant321 (1:3.21.14.dfsg-9) unstable; urgency=low

  * New maintainer. Thanks Kevin B. McCarty for contributing to the HEP
    free software community over the years. (Closes: #619396)
  * Bump Standards-Version to 3.9.1
    - debian/copyright: specify current version of GPL.
    - Add ${misc:Depends} to debian/control Depends for all binary
      packages.
    - debian/control.d/libgeant321-2-dev.control: change "Conflicts" to
      "Breaks".
  * debian/control.d/geant321{,-data}.control: remove duplicated
    "section" field.
  * debian/source/format: set source format to 1.0.
  * Add typo fixing patches 121-124.
  * Add lintian overrides:
    - debian/source/lintian-overrides: override dfsg-version-with-period
      and debian-watch-file-is-missing, since the GEANT3 branch of
      upstream is dead and GEANT4 is not suitable to redistribute for
      license issue.
    - debian/lintian-overrides/libgeant321-2-gfortran: override
      no-symbols-control-file.
  * debian/NEWS: fix version and timestamp. The entry of news is copied
    from cernlib (2005.05.09.dfsg-1), from which geant321 was separated.

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 29 Mar 2011 09:58:48 +0800

geant321 (1:3.21.14.dfsg-8) unstable; urgency=low

  * Change Apps/Science to Science/Physics in doc-base file.
  * Upload to unstable, completing the g77 -> gfortran transition of CERNLIB.
    - Fixes FTBFS in unstable (closes: #467572).

 -- Kevin B. McCarty <kmccarty@debian.org>  Wed, 27 Feb 2008 10:05:09 -0800

geant321 (1:3.21.14.dfsg-7) experimental; urgency=low

  * Gfortran transition (closes: #429439).
    - Change build-depends and -dev package depends appropriately.
    - Add -gfortran suffix to runtime library package name.
    - s/g77/gfortran/g in various files.
    - Call gfortran rather than f77 from gxint script (update to patch 321).

  * Lintian clean-up:
    - Bump Standards-Version to 3.7.3.
    - Use ${binary:Version} instead of deprecated ${Source-Version} in
      debian/control.
    - Add dpatch descriptions to patches 000, 002.
    - Remove extra leading spaces from doc-base abstract.

  * Other minor improvements:
    - Tweak dependencies and descriptions in debian/control file.
    - Add Homepage field in control file.
    - Update reference to GEANT-FLUKA FAQ in README.debian files.
    - Remove mention of no-longer-used "keepbuild" $DEB_BUILD_OPTION in
      README.source.
    - Mention the (somewhat ambiguous) switch to GPL v3 in copyright file.
    - Uniformly capitalize CERNLIB, GEANT and FLUKA properly in Debian
      packaging files (except old Debian changelog and NEWS entries).
    - Increase left bar of GEANT 3.21 Lesstif GUI from 80 to 100 pixels
      width in app-defaults file, to make the appearance of an annoying
      horizontal scroll-bar less likely.
  
 -- Kevin B. McCarty <kmccarty@debian.org>  Fri, 01 Feb 2008 17:52:00 -0800

geant321 (1:3.21.14.dfsg-6) unstable; urgency=low

  * Build-Depend on a cernlib-base-dev new enough to include the test suite
    rules for make.
  * Ensure that upstream's test suite is run by adding TEST_PACKAGES variable
    in debian/add-ons/Makefile.
  * Revised patch 001: Do not build test 4; it requires non-free FLUKA.
  * New patch 213, many thanks to Patrice Dumas: Fix Imakefiles for building
    test programs.
  * New patch 807: Compile test programs statically linked to CERN libraries
    on 64-bit systems.

 -- Kevin B. McCarty <kmccarty@debian.org>  Fri, 04 Jan 2008 16:59:55 -0800

geant321 (1:3.21.14.dfsg-5) unstable; urgency=low

  * Build-Depend and Depend on new libpawlib-lesstif3-dev package, which will
    automatically pull in needed libxbae-dev dependency.  (Closes: #422808)
    Hence bump needed shlibs version.
  * Although the soversion of libpawlib-lesstif has been bumped, the soversion
    of libgeant321 should not need to be, and old user-compiled code should
    still work as long as the user has the old obsolete libpawlib2-lesstif
    runtime lib package installed.  If I am wrong, the problem will be easy
    enough to fix!
  * Add debian/README.Debian-source.

 -- Kevin B. McCarty <kmccarty@debian.org>  Thu, 10 May 2007 18:31:07 -0400

geant321 (1:3.21.14.dfsg-4) unstable; urgency=low


