=== debian/control ===
Source: geant321
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Lifeng Sun <lifongsun@gmail.com>
Standards-Version: 3.9.4
Priority: optional
Section: science
Homepage: http://wwwasd.web.cern.ch/wwwasd/geant/index.html
Build-Depends: patch, mawk | gawk, xutils-dev, debhelper (>= 5.0.0), gfortran (>= 4:4.3), libblas-dev, liblapack-dev, cernlib-base-dev (>= 20061220+dfsg3-3), libgrafx11-1-dev (>= 2006.dfsg.2-7), libgraflib1-dev (>= 2006.dfsg.2-7), libkernlib1-dev (>= 2006.dfsg.2-7), libpacklib1-dev (>= 2006.dfsg.2-7), libpacklib-lesstif1-dev (>= 2006.dfsg.2-7), libpawlib2-dev (>= 1:2.14.04.dfsg.2-2), libpawlib-lesstif3-dev (>= 1:2.14.04.dfsg.2-2), kuipc
Vcs-Git: git://anonscm.debian.org/debian-science/packages/geant321.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/geant321.git

Package: geant321-data
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: cernlib-base, ${misc:Depends}
Description: [Physics] Data for GEANT 3.21 detector simulator
 GEANT is a framework for simulating the passage of subatomic particles
 through matter, for instance, particle detectors.  For maximum flexibility,
 GEANT simulations are performed by linking FORTRAN code supplied by the user
 with the GEANT library, then running the resulting executable.
 .
 This package includes neutron cross-section data for use by GEANT.

Package: geant321-doc
Architecture: all
Section: doc
Depends: cernlib-base, ${misc:Depends}
Description: [Physics] Documentation for GEANT 3.21
 GEANT is a framework for simulating the passage of subatomic particles
 through matter, for instance, particle detectors.  For maximum flexibility,
 GEANT simulations are performed by linking FORTRAN code supplied by the user
 with the GEANT library, then running the resulting executable.
 .
 This package includes some documentation in text format about GEANT 3.21.

Package: geant321
Architecture: all
Depends: libgeant321-2-dev (>= 1:3.21.14.dfsg-7), cernlib-base-dev (>= 2006.dfsg.2-7), gfortran, ${misc:Depends}
Suggests: geant321-doc
Description: [Physics] Particle detector description and simulation tool
 GEANT is a framework for simulating the passage of subatomic particles
 through matter, for instance, particle detectors.  For maximum flexibility,
 GEANT simulations are performed by linking FORTRAN code supplied by the user
 with the GEANT library, then running the resulting executable.
 .
 This package includes gxint, a script that makes this linking step more
 convenient.

Package: libgeant321-2-dev
Architecture: any
Section: libdevel
Depends: libgeant321-2-gfortran (= ${binary:Version}), libpawlib-lesstif3-dev (>= 1:2.14.04.dfsg.2-2), ${misc:Depends}
Recommends: geant321
Breaks: libgeant1-dev (<= 2004.11.04.dfsg-0sarge1)
Replaces: libgeant1-dev
Description: [Physics] Library for GEANT 3.21 (development files)
 GEANT is a framework for simulating the passage of subatomic particles
 through matter, for instance, particle detectors.  For maximum flexibility,
 GEANT simulations are performed by linking FORTRAN code supplied by the user
 with the GEANT library, then running the resulting executable.
 .
 This package includes a static version of the libgeant321 library required
 by GEANT.  C and FORTRAN header files are also included.

Package: libgeant321-2-gfortran
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, geant321-data, ${misc:Depends}
Recommends: kxterm
Description: [Physics] Library for GEANT 3.21
 GEANT is a framework for simulating the passage of subatomic particles
 through matter, for instance, particle detectors.  For maximum flexibility,
 GEANT simulations are performed by linking FORTRAN code supplied by the user
 with the GEANT library, then running the resulting executable.
 .
 This package includes the libgeant321 library required by GEANT 3.21.  Note
 that in order to compile and link programs against this library, you must
 also install the libgeant321-2-dev package.
