=== debian/rules ===
#!/usr/bin/make -f

# source package name and modules included in the source package
MY_NAME = geant321
MY_MODULES = Imakefile car cfortran geant321 include scripts 
MAKEFLAGS += -j1

export DEB_BUILD_OPTIONS=nocheck

include /usr/share/cernlib/cernlib-debian.mk

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_install -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_installchangelogs -a
	dh_installdebconf -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_lintian -a
	dh_makeshlibs -plibgeant321-2-gfortran
	dh_shlibdeps -a -lshlib
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i -X.dat -X.kumac -X.F -X.sh
	dh_fixperms -i
	dh_lintian -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch

.PHONY: binary binary-indep binary-arch
